Bug 176672 - X crashes with synaptics touchpad and PS/2 mouse
X crashes with synaptics touchpad and PS/2 mouse
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: synaptics (Show other bugs)
rawhide
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Kristian Høgsberg
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-29 05:40 EST by Bojan Smojver
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-06 18:53:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
X server log (of the crashed server) (7.13 MB, text/plain)
2005-12-30 17:16 EST, Bojan Smojver
no flags Details
X server log (of the crashed server) (11.30 KB, application/x-bzip2)
2005-12-30 17:40 EST, Bojan Smojver
no flags Details
Another crash log: synaptics prominent again (11.11 KB, application/x-bzip2)
2006-01-16 06:11 EST, Bojan Smojver
no flags Details
Log of X on a crash (7.01 MB, text/plain)
2006-01-31 20:39 EST, Bojan Smojver
no flags Details

  None (edit)
Description Bojan Smojver 2005-12-29 05:40:14 EST
Description of problem:
X aborts randomly on this hardware, usually under heavy load. Unfortunately,
given that I have pointer problems (see bug #176669), X restarts
(unsuccessfully) itself so fast that log files get rotated too quickly and the
information is lost. Any hints to help with debugging this are very welcome. At
present, this bug is just a placeholder until I have some real debugging info.


Version-Release number of selected component (if applicable):
xorg-x11-server-Xorg-1.0.0-3

How reproducible:
Intermittent.


Steps to Reproduce:
1. Run X and wait for the crash (not very smart, I know).

  
Actual results:
X crashes occasionally.

Expected results:
Should not crash.

Additional info:

Full hardware spec here:

http://www.rexursive.com/articles/linuxonhpze4201.html

You can see some attachments related to X and the machine in bug #176669.
Comment 1 Bojan Smojver 2005-12-29 05:41:07 EST
Here is the link to the thread on the devel list:

http://www.redhat.com/archives/fedora-devel-list/2005-December/msg01156.html
Comment 2 Bojan Smojver 2005-12-30 17:16:32 EST
Created attachment 122645 [details]
X server log (of the crashed server)
Comment 3 Bojan Smojver 2005-12-30 17:40:41 EST
Created attachment 122646 [details]
X server log (of the crashed server)

Sorry about the previous one :-( I didn't realize it was 7 MB.
Comment 4 Bojan Smojver 2005-12-30 17:46:52 EST
If it matters, I'm also running:

syndaemon -i 0.5 -d
Comment 5 Bojan Smojver 2006-01-16 06:11:28 EST
Created attachment 123229 [details]
Another crash log: synaptics prominent again
Comment 6 Mike A. Harris 2006-01-31 20:04:42 EST
It would appear to be a bug in the synaptics driver, reassigning....

P.S.  Please attach all text files as uncompressed files, so they're viewable
      directly in the web browser.  TIA
Comment 7 Bojan Smojver 2006-01-31 20:39:51 EST
Created attachment 123945 [details]
Log of X on a crash

Sorry about bzip-ed attachments - thought the plain text (being 7 MB) is going
to be too large.
Comment 8 Paul Nasrat 2006-02-01 07:38:53 EST
(--) Mouse0 touchpad found
Synaptics DeviceOff called
(II) RADEON(0): BIOS HotKeys Disabled
(II) RADEON(0): [RESUME] Attempting to re-init Radeon hardware.
(II) RADEON(0): [agp] Mode 0x0f000207 [AGP 0x1002/0xcab2; Card 0x1002/0x4337]

Does this only happen after suspend/resume? If so what is
/proc/bus/input/devices show after resume.

Please also disable SHMConfig (we don't do this by default) and try to reproduce
without syndaemon.
Comment 9 Bojan Smojver 2006-02-01 14:08:08 EST
I cannot be 100% sure if it happens only on suspend/resume, but there is a very
good chance. I suspend/resume this notebook all the time. On resume,
/proc/bus/input/devices shows with the mouse attached:

-------------------------------------
I: Bus=0011 Vendor=0001 Product=0001 Version=ab41
N: Name="AT Translated Set 2 keyboard"
P: Phys=isa0060/serio0/input0
S: Sysfs=/class/input/input0
H: Handlers=kbd event0 
B: EV=120013
B: KEY=4 2000078 3802078 f840d001 f2ffffdf ffefffff ffffffff fffffffe
B: MSC=10
B: LED=7

I: Bus=0011 Vendor=0002 Product=0005 Version=0000
N: Name="ImPS/2 Generic Wheel Mouse"
P: Phys=isa0060/serio1/input0
S: Sysfs=/class/input/input2
H: Handlers=mouse0 event2 
B: EV=7
B: KEY=70000 0 0 0 0 0 0 0 0
B: REL=103
-------------------------------------

In other words - the touchpad isn't there (see also bug #176669). But that isn't
unique to resume - there is no touchpad even when I boot the machine clean. If I
disconnect the mouse, I get:

-------------------------------------
I: Bus=0011 Vendor=0001 Product=0001 Version=ab41
N: Name="AT Translated Set 2 keyboard"
P: Phys=isa0060/serio0/input0
S: Sysfs=/class/input/input0
H: Handlers=kbd event0 
B: EV=120013
B: KEY=4 2000078 3802078 f840d001 f2ffffdf ffefffff ffffffff fffffffe
B: MSC=10
B: LED=7

I: Bus=0011 Vendor=0002 Product=0007 Version=0000
N: Name="SynPS/2 Synaptics TouchPad"
P: Phys=isa0060/serio1/input0
S: Sysfs=/class/input/input3
H: Handlers=mouse0 event2 
B: EV=b
B: KEY=6420 0 70000 0 0 0 0 0 0 0 0
B: ABS=11000003
-------------------------------------

Mouse gone (as it should be) and touchpad there (as it should be). Plugging the
mouse back in reverts back to the first output.

Usually the sequence of events that led to a crash would be:

- connect the notebook to AC power, LAN and attach mouse
- turn it on, which then resumes
- works for a while, while X log is growing with error messages
- eventually X crashes

Now, I have to admit, I haven't had a crash in about 10 days or so and I did the
above sequence at least 5 times. But then again, it didn't happen every time
even before either (I hate intermittent bugs :-).

I'm having a feeling that fixing bug #176669 will also resolve this one for good...
Comment 10 Bojan Smojver 2006-03-06 16:57:21 EST
Switched to USB mouse - far less annoying.
Comment 11 Mike A. Harris 2006-03-06 17:51:36 EST
The "DEFERRED" bug state is for Fedora developers to use, reopening.
Comment 12 Bojan Smojver 2006-03-06 18:53:07 EST
OOPS, sorry.

Given that nobody but me had a similar problem and I have worked around it by
using a different type of mouse, I'd like to close this.

Note You need to log in before you can comment on or make changes to this bug.